      function alog10 (x)
c april 1977 version.  w. fullerton, c3, los alamos scientific lab.
      external alog
      data aloge / 0.4342944819 0325182765e0 /
c
      alog10 = aloge * alog(x)
c
      return
      end
